Subject: IPP>PRO lengths versus delimiting characters

From: [email-masked] (Robert Herriot)
Date: Thu, 12 Jun 1997 19:17:34 -0700

I was asked to write the rules for delimiting characters in different
encodings.

But after thinking some more and talking to another protocol expert,
I believe that using binary lengths is a better solution than having
delimiting characters because it avoids the escape-character problem.
The escape-character problem has simple solutions, but length is
even simpler.

He also looked at the hybrid solution where the name is delimited
by a colon and the value is determined by a length field prefix.
He agreed with me that this is a strange solution that doesn't seem
right.

I think that we need to think of the application/ipp entity as a binary
encoding that has nothing to do with HTTP headers. So it need not have
headers that look like HTTP headers. 

Bob Herriot